# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libvalidatorsplugin (kpart) ###############

tde_add_kpart( libvalidatorsplugin AUTOMOC
  SOURCES plugin_validators.cpp validatorsdialog.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( validators cssvalidator htmlvalidator )


##### other data ################################

install( FILES plugin_validators.rc plugin_validators.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES plugin_validators.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
)

install( FILES ../uninstall.desktop
  RENAME validatorsplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)
